Kerbal Space Program - Bug #22928

Breaking ground parts deformation not recoverable
06/18/2019 09:13 PM - ddpps3

Status: Acknowledged Start date: 06/18/2019
Severity: Normal % Done: 100%
Assignee:

Category: Physics

Target version:

Version: 1.7.2 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Breaking Ground

Description
you can have a test with the uploaded .craft file.

the nodes between parts is deformed due to forces ( gravity and centrifugal force etc), when you launch it and then return to space
center, the deformation is saved, next time when you reload, the all parts are initialized on the deformed Position. even if the force is
gone, the parts will not return to its original position. This issue can be seen if the parts (no matter stock or DLC parts) are connected
through Breaking ground DLC parts.

This is important for helicopter rotor like this (https://kerbalx.com/DDPPS3/Real-rotor-helicopter-functional-DLC)
Even a small not recoverable deformation will let the rotor not work porperly when the next time you want to fly it and reload the craft.

Related issues:
Related to Kerbal Space Program - Bug #24797: For the love of Kraken, FIX THI... Duplicate 02/06/2020

History

#1 - 06/18/2019 10:57 PM - ddpps3

Also this deformation can be accumulated by reload the craft multiple times

#2 - 06/19/2019 07:41 AM - diomedea

- Status changed from New to Need More Info

Tested with the provided craft. When launched to KSC pad or runway, because gravity, weight of suspended parts acts as a force to displace joints,
until joints reaction force (an elastic force proportional to displacement, totally managed by Unity physics) equals weight. Exited to KSC, back to the
craft (which causes the craft to go on-rails/off-rails): of course gravity is still there and acts again to displace joints.

However you said the displacement is maintained even if the force is gone: easy way to test, sent the craft to orbit (close to SOI limit to have as little
gravity possible, but anyway gravity acts on all parts the same way, so there's no force acting on the joints). As expected, all parts had reverted to
their normal position, no joints displacement.

But of course | may simply have not understood how you intended to perform the test. In internal testing, a sequence of steps required to reproduce
the issue is added to the description, something alike:

Reproduction steps:

1. Start KSP, open a new sandbox game

2. Load the provided cratt file in editor (VAB? SPH?)
3. Launch craft

4. Observe joints displacements

5. Cheat craft to orbit, 80000 Km above Kerbin

6. Observe joints displacement

Result: joints are no more displaced

Please show us how the issue should be tested to produce the result you consider an issue.

#3 - 06/19/2019 09:34 AM - ddpps3
- File 20190619095449_1.jpg added
- File 20190619095519_1.jog added
- File 20190619095609_1.jog added
- File 20190619095856_1.jog added
https://kerbalx.com/DDPPS3/Real-rotor-helicopter-functional-DLC

Hi, thanks for your reply.
| got some screen shot, they may explain better than i do.

For more description: When the craft is reloaded the second or more times, the previous displacement will not generate forces to against the weight,
so the parts have to displace more. It's like every time we exit and reload, the game turns the previous elastic deformation into plastic deformation.

My test steps:

1, launch the craft and decouple the weights: all displacement recovers.

2, launch the craft, exit, reload, decouple the weights: all parts below dic part will not recover.

3, launch the craft, exit and reload multiple times, then decouple the weights: those displacement are accumulated.

#4 - 06/19/2019 02:05 PM - MechBFP
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

Changing to updated since the previous user forgot to do so.

#5 - 06/19/2019 03:55 PM - diomedea
- File screenshot4301.png added
- Status changed from Updated to Confirmed

- Severity changed from Low to Normal

Yay, good catch! Couldn't get at first what you intended, but eventually got it works with "quit to Main Menu, then reload the saved game, return to
that craft". Took about 9 repetitions to displace those joints enough to safely land that tank, and then those joints stay displaced exactly as you said.

#7 - 10/31/2019 10:06 PM - dok_377
- File screenshot14.jpg added

1.8.1 and it still happens. The engines on my plane is getting this bug constantly. Several physics reloads and it's screwed up completely.

#8 - 02/13/2020 05:06 PM - Technicalfool
- Related to Bug #24797: For the love of Kraken, FIX THIS! #22928 added

#9 - 02/15/2020 04:50 PM - victorr
- Status changed from Confirmed to Acknowledged

- % Done changed from 10 to 100

Files

Bug exsample.craft 37.2KB 06/18/2019 ddpps3
20190619095449_1.jpg 301 KB 06/19/2019 ddpps3
20190619095519_1.jpg 289 KB 06/19/2019 ddpps3
20190619095609_1.jpg 307 KB 06/19/2019 ddpps3
20190619095856_1.jpg 321 KB 06/19/2019 ddpps3
screenshot4301.png 843 KB 06/19/2019 diomedea
screenshot14.jpg 1.08 MB 10/31/2019 dok_377
